`libnetdude` Manual
Prev |  | Next

# libnd_raw_protocol

## Name

libnd_raw_protocol --

## Synopsis

    void        libnd_raw_proto_init            (void);
    LND_Protocol* libnd_raw_proto_get           (void);

## Description

## Details

### libnd_raw_proto_init ()

    void        libnd_raw_proto_init            (void);

The function initializes the raw protocol to make it available for subsequent calls to libnd_raw_proto_get(). This pseudo-protocol uses the ASCII/hex editor to edit the packet data.

### libnd_raw_proto_get ()

    LND_Protocol* libnd_raw_proto_get           (void);

The function returns the raw protocol. The same pointer is returned each time.

Returns :

  protocol.

Prev | Home | Next
libnd_protocol_registry | Up | libnd_registry